Skip to main content
PATCH
Update a project

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

ID of the project that you want to update

resume_id
string
required

Resume ID of the resume the education belongs to. If you want to interact with the base project, just put base in here

Body

category
string | null

Category or type of the project (e.g., Web Development, Mobile App).

Maximum string length: 255
name
string

Name of the project.

Maximum string length: 255
description
string | null

Detailed description of the project and its objectives.

role
string | null

Your role or position in this project (e.g., Lead Developer, UI Designer).

Maximum string length: 255
github_url
string<uri> | null

Link to the project's GitHub repository.

Maximum string length: 200
live_url
string<uri> | null

Link to the live/deployed version of the project.

Maximum string length: 200
started_from_month
integer | null

Month when the project started (1-12).

Required range: 1 <= x <= 12
started_from_year
integer | null

Year when the project started (YYYY).

Required range: 1900 <= x <= 2100
finished_at_month
integer | null

Month when the project was completed (1-12).

Required range: 1 <= x <= 12
finished_at_year
integer | null

Year when the project was completed (YYYY).

Required range: 1900 <= x <= 2100
current
boolean | null

Indicates if this is a current/ongoing project.

user
string

The user who owns this project

resume_section
string<uuid>

The unique identifier for the resume section entry.

skills_used
string<uuid>[]

Technical skills and technologies used in this project.

Response

id
string
required
read-only
skills_used
object[]
required
resume_section
string
required
read-only
name
string
required

Name of the project.

Maximum string length: 255
created_at
string<date-time>
required
read-only

Timestamp when the project was first created.

updated_at
string<date-time>
required
read-only

Timestamp when the project was last updated.

user
string
required

The user who owns this project

category
string | null

Category or type of the project (e.g., Web Development, Mobile App).

Maximum string length: 255
description
string | null

Detailed description of the project and its objectives.

role
string | null

Your role or position in this project (e.g., Lead Developer, UI Designer).

Maximum string length: 255
github_url
string<uri> | null

Link to the project's GitHub repository.

Maximum string length: 200
live_url
string<uri> | null

Link to the live/deployed version of the project.

Maximum string length: 200
started_from_month
integer | null

Month when the project started (1-12).

Required range: 1 <= x <= 12
started_from_year
integer | null

Year when the project started (YYYY).

Required range: 1900 <= x <= 2100
finished_at_month
integer | null

Month when the project was completed (1-12).

Required range: 1 <= x <= 12
finished_at_year
integer | null

Year when the project was completed (YYYY).

Required range: 1900 <= x <= 2100
current
boolean | null

Indicates if this is a current/ongoing project.